=== debian/changelog ===
qgis (2.2.0-1) unstable; urgency=low

  * Move from experimental to unstable.
  * Update symbols for armhf.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 18 Mar 2014 00:28:41 +0100

qgis (2.2.0-1~exp2) experimental; urgency=low

  * Add patches for changes from upstream release_2.2 branch.
  * Disable doxygen during build, run doxygen in build-indep target.
  * Don't install world.tif, symlink the osgEarth file instead.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Mar 2014 19:24:37 +0100

qgis (2.2.0-1~exp1) experimental; urgency=low

  * Require at least osgEarth version 2.5.0.
  * Don't use -0 revision, shlibs depends use upstream version only.
  * Update symbols for armel, kfreebsd-amd64, kfreebsd-i386 & mipsel.
  * Add patches for changes from upstream release_2.2 branch.
  * Add path to limit the dot graph for the QGIS API documentation.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 01 Mar 2014 14:42:10 +0100

qgis (2.2.0-0~exp1) experimental; urgency=low
  
  [ Jürgen E. Fischer ]
  * Release of 2.2
  * enable globe on jessie
  * add dependency on libqt4-sql-sqlite to qgis-provider

  [ Bas Couwenberg ]
  * New upstream release.
  * Consistent capitalization in globe plugin description synopsis.
  * Run dh_sip only on python-qgis to fix the 'unused substitution variable
    ${sip:Depends}' warnings.
  * Add ${misc:Pre-Depends} for qgis-providers.
  * Use python substitution variables for python-qgis only.
  * Add gbp.conf to use pristine-tar by default.
  * Don't use space in CMAKE_OPTS.
  * Don't define BUILDNAME, not used by the project.
  * Restore qgis-icon.xpm, we still use it in qgis.menu.
  * Use CURDIR instead of PWD.
  * Don't build internal pyspatialite.
  * Update symbols for amd64 & i386.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 23 Feb 2014 16:31:40 +0100

qgis (2.1.0) UNRELEASED; urgency=low

  * new development version 2.1 after branch of 2.0
  * drop qgis_icon.xpm and use "upstream" version
  * Update Qt dependency to 4.7
  * drop support for Debian squeeze and Ubuntu lucid, maverick, natty and oneiric
  * add support for Ubuntu trusty
  * run crssync on copy of srs.db (Closes #738117)

 -- Jürgen E. Fischer <jef@norbit.de>  Sat, 22 Feb 2014 09:48:46 +0100
